com.mysql.cj.protocol

## Class ServerSessionStateController.SessionStateChange

- java.lang.Object
- - com.mysql.cj.protocol.ServerSessionStateController.SessionStateChange

Enclosing interface:
  ServerSessionStateController

    public static class ServerSessionStateController.SessionStateChange
    extends Object

A single server session change record.

The server messages about session changes are parsed according to their known types:

- `ServerSessionStateController.SESSION_TRACK_SYSTEM_VARIABLES` - two values, the system variable name and it's new value;
- `ServerSessionStateController.SESSION_TRACK_SCHEMA` - single value, the new schema name;
- `ServerSessionStateController.SESSION_TRACK_STATE_CHANGE` - single value, "1" or "0";
- `ServerSessionStateController.SESSION_TRACK_GTIDS` - single value, list of GTIDs as reported by server;
- `ServerSessionStateController.SESSION_TRACK_TRANSACTION_CHARACTERISTICS` - single value, transaction characteristics statement;
- `ServerSessionStateController.SESSION_TRACK_TRANSACTION_STATE` - single value, transaction state record.

For the unknown change type the raw payload is written into the single value.

See more details in the server documentation.

### Field Summary

Fields
`private int` `type`
`private List<String>` `values`

### Constructor Summary

Constructors
`SessionStateChange(int type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ServerSessionStateController.SessionStateChange` `addValue(String value)`
`int` `getType()`
`List<String>` `getValues()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### type

    private int type

#### values

    private List<String> values

### Constructor Detail

#### SessionStateChange

    public SessionStateChange(int type)

### Method Detail

#### getType

    public int getType()

#### getValues

    public List<String> getValues()

#### addValue

    public ServerSessionStateController.SessionStateChange addValue(String value)

Copyright © 2016, 2025, Oracle and/or its affiliates.